Bug 1266292 - Unable to use discrete graphics card
Unable to use discrete graphics card
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 21:24 EDT by nmreis
Modified: 2016-12-20 09:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:44:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg snippet after boot (2.88 KB, text/plain)
2015-09-24 21:24 EDT, nmreis
no flags Details

  None (edit)
Description nmreis 2015-09-24 21:24:39 EDT
Created attachment 1076831 [details]
dmesg snippet after boot

Description of problem:

Unable to use discrete graphics card: 

01:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330]

Version-Release number of selected component (if applicable):

Fedora 23

How reproducible:

always.

Steps to Reproduce:
1. Follow the procedure descibed here: https://fedoraproject.org/wiki/QA:Testcase_vga_switcheroo
2.logout
3.login

Actual results:

End up with a black screen and an unresponsive keyboard/machine.

Expected results:

Be able to load gnome using the RADEON card

Additional info:

This is happening on a Dell Inc. Latitude E6440/007KGN, BIOS A10 02/02/2015
Comment 1 nmreis 2015-09-24 22:11:02 EDT
I'm actually able to lunch stuff on the discrete graphics by using the DRI_PRIME=1 variable.

Here's the output of that.

nmreis@e6440c-laptop ~]$ DRI_PRIME=1 glmark2
=======================================================
    glmark2 2014.03
=======================================================
    OpenGL Information
    GL_VENDOR:     X.Org
    GL_RENDERER:   Gallium 0.4 on AMD HAINAN (DRM 2.43.0, LLVM 3.7.0)
    GL_VERSION:    3.0 Mesa 11.0.0 (git-c4bae57)
=======================================================
Comment 2 Luya Tshimbalanga 2015-12-18 14:33:14 EST
Assigning to the right component
Comment 3 Fedora End Of Life 2016-11-24 07:35:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 09:44:46 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.